Bug 2124541 - CVE-2021-3574 ImageMagick: memory leaks with convert command [epel-all]
Summary: CVE-2021-3574 ImageMagick: memory leaks with convert command [epel-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ImageMagick
Version: epel8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-3574
TreeView+ depends on / blocked
 
Reported: 2022-09-06 12:59 UTC by TEJ RATHI
Modified: 2022-09-28 11:15 UTC (History)
10 users (show)

Fixed In Version: ImageMagick-6.9.12.62-1.fc36 ImageMagick-6.9.12.63-1.fc37 ImageMagick-6.9.12.63-1.el9 ImageMagick-6.9.12.63-1.fc35 ImageMagick-6.9.12.63-1.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-13 01:27:24 UTC
Type: ---


Attachments (Terms of Use)

Description TEJ RATHI 2022-09-06 12:59:43 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 TEJ RATHI 2022-09-06 12:59:46 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2124540,2124541

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-09-07 21:13:19 UTC
FEDORA-2022-c3a50ebb66 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c3a50ebb66

Comment 3 Fedora Update System 2022-09-07 21:14:51 UTC
FEDORA-2022-776925f086 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-776925f086

Comment 4 Fedora Update System 2022-09-07 21:15:00 UTC
FEDORA-2022-ed44881ff7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ed44881ff7

Comment 5 Fedora Update System 2022-09-07 21:17:24 UTC
FEDORA-EPEL-2022-46c270bec2 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-46c270bec2

Comment 6 Fedora Update System 2022-09-07 21:58:30 UTC
FEDORA-EPEL-2022-915a045bea has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-915a045bea

Comment 7 Fedora Update System 2022-09-08 09:33:12 UTC
FEDORA-2022-c3a50ebb66 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-c3a50ebb66`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c3a50ebb66

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-09-08 09:56:16 UTC
FEDORA-EPEL-2022-46c270bec2 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-46c270bec2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-09-08 10:20:07 UTC
FEDORA-EPEL-2022-915a045bea has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-915a045bea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-09-08 11:25:48 UTC
FEDORA-2022-ed44881ff7 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ed44881ff7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ed44881ff7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-09-08 12:09:18 UTC
FEDORA-2022-776925f086 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-776925f086`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-776925f086

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-09-13 01:27:24 UTC
FEDORA-2022-776925f086 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-09-14 00:42:26 UTC
FEDORA-EPEL-2022-0cf315054d has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-0cf315054d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-09-14 01:52:59 UTC
FEDORA-2022-9b5bb11725 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-9b5bb11725`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9b5bb11725

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-09-14 02:09:09 UTC
FEDORA-EPEL-2022-9d8794e452 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-9d8794e452

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-09-14 02:40:49 UTC
FEDORA-2022-0a0e4cb94a has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-0a0e4cb94a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0a0e4cb94a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2022-09-18 00:18:16 UTC
FEDORA-2022-9b5bb11725 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-09-22 00:38:33 UTC
FEDORA-EPEL-2022-0cf315054d has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-09-22 01:25:11 UTC
FEDORA-2022-0a0e4cb94a has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-09-28 11:15:59 UTC
FEDORA-EPEL-2022-9d8794e452 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.